﻿using System;
using HeuristicLab.Algorithms.DataAnalysis.Experimental;
using HeuristicLab.Algorithms.GeneticAlgorithm;
using HeuristicLab.SequentialEngine;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Test {
  [TestClass]
  public class UnitTest1 {
    [TestMethod]
    public void TestMethod1() {
      var ga = new GeneticAlgorithm();
      var symbReg = new HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.SymbolicRegressionSingleObjectiveProblem();
      var eval = new SymbolicRegressionConstantOptimizationEvaluator();
      symbReg.EvaluatorParameter.Value = eval;
      ga.Engine = new SequentialEngine();
      ga.Seed.Value = 1234;
      ga.Problem = symbReg;

      ga.Start();

    }
  }
}
